language: node_js
node_js:
  - "0.8"
  - "0.10"
  - "0.11"
  
before_install:
  - travis_retry npm install -g npm
  - travis_retry npm install

script:
  - npm test

matrix:
  allow_failures:
    - node_js: "0.11"

notifications:
  email:
    - travis@nodejitsu.com
  irc: "irc.freenode.org#nodejitsu"
